Quassel IRC - Bug #1177

genversion does not support UTF-8 paths
07/07/2012 02:34 PM - Gallaecio

Status: Resolved Start date: 07/07/2012
Priority: Normal Due date:

Assignee: % Done: 100%
Category: Build System Estimated time: 0.00 hour
Target version: 0.9.0

Version: 0.9-pre 0S: Any
Description

At least if | got it right. Anyway, to illustrate the issue:

[gallaecio@afonsox build]$ make

[ 0%] Built target genversion

Could not write /home/gallaecio/proxectos/programacin/quassel/fontes/build/src/version.gen!

make?: * [CMakeFiles/genversion_run] Abortado (memoria envorcada)

make’: [CMakeFiles/genversion_run.dir/all] Erro 2

make: ** [all] Erro 2

[gallaecio@afonsox build]$ grep "version.gen" * -R

CMakerFiles/genversion_run.dir/build.make: ./genversion /home/gallaecio/proxectos/programacién/quassel/fontes
/home/gallaecio/proxectos/programacién/quassel/fontes/build/src/version.gen
src/common/CMakeFiles/mod_common.dir/cmake_clean.cmake: "version.gen"

Associated revisions

Revision ffca9a2e - 02/01/2013 04:34 PM - Bas Pape

Use QCoreApplication::arguments() for genversion

This prevents issues with locales and unicode paths.
Fixes #1177

History

#1 - 07/08/2012 12:10 AM - Anonymous
- Status changed from New to Confirmed

- Version changed from 0.7.3 to 0.8-pre

For simple assignments QString uses fromAscii, which breaks this case. However, i failed to get it to work with either of fromUtf8, fromLocal8Bit
(which should use the local locale, which would be preferred, i guess). Note that the same goes for non-ascii git dirs.

#2 - 02/01/2013 04:36 PM - Anonymous

- Category set to Build System

- Assignee set to Anonymous

- Target version set to Some future release

- Version changed from 0.8-pre to 0.9-pre
Fixed in PR

#3 - 02/19/2013 11:33 PM - Anonymous
- Status changed from Confirmed to Resolved

- % Done changed from 0 to 100

Applied in changeset ffca9a2e50401872f170480e158647d037d6e005.

#4 - 02/20/2013 08:09 PM - Anonymous

- Target version changed from Some future release to 0.9.0
